Bug 151329 - Time slider doesn't represent true status of track position
Time slider doesn't represent true status of track position
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-03-16 18:36 EST by Peter Lawler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-21 12:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Lawler 2005-03-16 18:36:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The time slider, whereby one can scroll forward and back, is broken. It either jumps all over the place, stays at 0:00, or moves to the end of the track. Track playback seems fine, though.

Version-Release number of selected component (if applicable):
amarok.i386 0:1.2.2-1

How reproducible:

Steps to Reproduce:
1. Start amarok 
2. Play a track
3. Look at time slider

Actual Results:  Time slider doesn't represent true status of track position

Expected Results:  Time slider represents true status of track position

Additional info:
Comment 1 Aurelien Bompard 2005-03-17 04:07:05 EST
This happens when the support for your sound card is buggy in gstreamer. What
engine are you using ? Can you use the arts engine for testing ? It's in the
package called amarok-arts.
Comment 2 Peter Lawler 2005-03-17 16:36:22 EST
I was using osslink.
Attempting arts output appears to cause segfault and crash. I'll get a non-busy
system happening in the enxt day or two and test with -debug packages.

00:1f.5 Multimedia audio controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97
Audio Controller (rev 02)
Comment 3 Aurelien Bompard 2005-03-17 16:46:35 EST
please try with the alsasink, and with the xine engine. The xine engine needs a
package rebuild to be available, because of software patents. You'll have to
rebuild the package with the "--with xine" option.
Comment 4 Peter Lawler 2005-03-17 17:20:46 EST
My apologies. That teaches me (once again) I should respond to bug reports first
thing in the morning. I'd mis-read as "Use arts with alsa".

I've switched to arts engine, and alsalink. Works fine now :-)
Comment 5 Peter Lawler 2005-03-17 17:21:25 EST
Of course, not configured alsa at all... maybe I should get more coffee.

Note You need to log in before you can comment on or make changes to this bug.